Bug 124089 - upgrade from FC2 test1 to FC 2 messed up Network connection
upgrade from FC2 test1 to FC 2 messed up Network connection
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 17:50 EDT by Martin Thain
Modified: 2014-03-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 14:37:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Thain 2004-05-23 17:50:45 EDT
Description of problem:

I upgraded from FC2 TEST1 to FC 2.
My static network info got trashed and my card (Netgear FA311 DP83815)
was unrecognised after the upgrade.

Fixed the problem using on KDE Network Configuration tool

Version-Release number of selected component (if applicable):
FC2 

How reproducible:
Only done once ! (and I'm not going back to a test release)

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I suspect the upgrade procedure is the issue as it was easy to fix
with Network Configuration tool.
Comment 1 Bill Nottingham 2004-05-25 15:59:30 EDT
Do you have the non-working config files?
Comment 2 Martin Thain 2004-05-30 14:48:05 EDT
do you have any specific files in mind ? 
Comment 3 Bill Nottingham 2004-06-01 00:47:00 EDT
/etc/sysconfig/network
/etc/sysconfig/network-scripts/ifcfg-*
/etc/modprobe.conf
Comment 4 Martin Thain 2004-07-11 12:51:21 EDT
Bill -sorry for taking so long to reply I've been working away from 
home a lot recently. 
Anyway these are the file you asked for - they reflect the machine 
after I got the ethernet connection going. 
 
cat /etc/sysconfig/network 
NETWORKING=yes 
HOSTNAME=vador 
 
 
cat /etc/sysconfig/network-scripts/ifcfg-* 
# Please read /usr/share/doc/initscripts-*/sysconfig.txt 
# for the documentation of these parameters. 
IPV6INIT=no 
ONBOOT=yes 
USERCTL=no 
PEERDNS=yes 
GATEWAY=172.16.1.13 
TYPE=Ethernet 
DEVICE=eth0 
BOOTPROTO=none 
NETMASK=255.255.0.0 
IPADDR=172.16.1.2 
DEVICE=lo 
IPADDR=127.0.0.1 
NETMASK=255.0.0.0 
NETWORK=127.0.0.0 
# If you're having problems with gated making 127.0.0.0/8 a martian, 
# you can change this to something else (255.255.255.255, for 
example) 
BROADCAST=127.255.255.255 
ONBOOT=yes 
NAME=loopback 
 
 
cat /etc/modprobe.conf 
# Note: for use under 2.4, changes must also be made to modules.conf! 
alias nfs4 nfs 
alias rpc_pipefs sunrpc 
alias rpc_svc_gss_pipefs sunrpc 
alias eth0 natsemi 
 
Comment 5 Matthew Miller 2005-04-26 11:28:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.